Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.io.conduits.basic
Class BasicInjector

    java.lang.Object
      things.thinger.io.conduits.basic.BasicInjector

All Implemented Interfaces:
  Injector

    public class BasicInjector

extends java.lang.Object
implements Injector

A basic implementation of the conduit injector interface.

Version:
  1.0

  Version History

      EPG - Adapted from autohit - 29 JUN 05

Author:
  Erich P. Gatejen

Constructor Summary
`BasicInjector(InjectionInterface ii)` Initialize the Injector.

Method Summary
`Conduit.InjectorType` | `getMyType()` Get the injector type.
`void` | `init(ConduitID yourId, Conduit.InjectorType theType)` Initialize the Injector.
`ReceiptList` | `post(Data item)` Post an item

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInjector

    public BasicInjector(InjectionInterface ii)

  Initialize the Injector. This will be called by it's controller. An subsequent calls may result in a PANIC SystemException. Don't do it!

  Parameters:
    `ii` - InjectionInterface for the owner Conduit.
  See Also:
    `InjectionInterface`

Method Detail

### init

    public void init(ConduitID yourId,
                     Conduit.InjectorType theType)
              throws SystemException

  Initialize the Injector. This will be called by it's controller. An subsequent calls may result in a PANIC SystemException. Don't do it!

  Specified by:
    `init` in interface `Injector`
  Parameters:
    `yourId` - The ConduitID for this injector.
    `theType` - the type of controller.
  Throws:
    `SystemException`
  See Also:
    `Conduit`, `ConduitID`

### post

    public ReceiptList post(Data item)
                     throws SystemException

  Post an item

  Specified by:
    `post` in interface `Injector`
  Returns:
    a receipt list.
  Throws:
    `SystemException`
  See Also:
    `Data`

### getMyType

    public Conduit.InjectorType getMyType()

  Get the injector type.

  Specified by:
    `getMyType` in interface `Injector`
  Returns:
    the type
  See Also:
    `Conduit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.